View Issue Details

IDProjectCategoryView StatusLast Update
0029620FPCCompilerpublic2016-03-06 23:14
ReporterBenjamin RosseauxAssigned ToJonas Maebe 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSAllOS Version
Product Version3.0.0Product Build 
Target Version3.0.2Fixed in Version3.1.1 
Summary0029620: Internal error 200706094 at UInt64*UInt64Constant multiplication
DescriptionI'm getting the internal error 200706094 at a UInt64*UInt64Constant (QWord*QWordConstant) multiplication at compiling the following test program of any 64-bit x86_64 target.

var x:uint64;
    y:longword;
begin
 y:=123;
 x:=y*uint64(10116239910488455739);
 if x<>0 then begin
 end;
end.
Steps To ReproduceCompile the attached test program for a x86_64 target.
Additional Informationunder Windows:

Free Pascal Compiler version 3.0.0 [2015/11/16] for x86_64
Copyright (c) 1993-2015 by Florian Klaempfl and others
Target OS: Win64 for x64
Compiling test.dpr
test.dpr(11,6) Fatal: Internal error 200706094
Fatal: Compilation aborted

and under Linux:

Free Pascal Compiler version 3.0.0 [2015/11/26] for x86_64
Copyright (c) 1993-2015 by Florian Klaempfl and others
Target OS: Linux for x86-64
Compiling test.dpr
test.dpr(5,2) Note: APPTYPE is not supported by the target OS
test.dpr(11,6) Fatal: Internal error 200706094
Fatal: Compilation aborted

TagsNo tags attached.
Fixed in Revision33191
FPCOldBugId
FPCTarget
Attached Files

Activities

Benjamin Rosseaux

2016-02-08 13:37

reporter  

test.dpr (198 bytes)

Issue History

Date Modified Username Field Change
2016-02-08 13:37 Benjamin Rosseaux New Issue
2016-02-08 13:37 Benjamin Rosseaux File Added: test.dpr
2016-03-06 15:16 Jonas Maebe Fixed in Revision => 33191
2016-03-06 15:16 Jonas Maebe Status new => resolved
2016-03-06 15:16 Jonas Maebe Fixed in Version => 3.1.1
2016-03-06 15:16 Jonas Maebe Resolution open => fixed
2016-03-06 15:16 Jonas Maebe Assigned To => Jonas Maebe
2016-03-06 23:14 Jonas Maebe Target Version => 3.0.2